<template>
  <v-snackbar v-model="snackbar" :timeout="timeout" :color="tempType">
    {{ tempText }}
    <template v-slot:actions>
      <v-btn variant="text" @click="snackbar = false"> Close </v-btn>
    </template>
  </v-snackbar>
</template>

<script>
export default {
  props: {
    text: {
      required: true,
    },
    type: {
      required: true,
    },
  },
  emits: ["messageDisplayed"],
  data() {
    return {
      snackbar: false,
      timeout: 3000,
      tempText: "",
      tempType: "",
    };
  },
  watch: {
    text(newValue) {
      if (newValue) {
        this.tempText = this.text;
        this.tempType = this.type;
        this.$emit("messageDisplayed", true);
        this.snackbar = true;
      }
    },
  },
};
</script>
